cURL
curl --request DELETE \ --url https://api.example.com/api/posts
{ "401": {}, "500": {}, "success": true }
Delete all posts belonging to the authenticated user
Documentation IndexFetch the complete documentation index at: https://mintlify.com/subratomandal/dyeink/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://mintlify.com/subratomandal/dyeink/llms.txt
Use this file to discover all available pages before exploring further.
curl -X DELETE https://api.dyeink.com/api/posts \ -H "Authorization: Bearer YOUR_AUTH_TOKEN"
const response = await fetch('https://api.dyeink.com/api/posts', { method: 'DELETE', headers: { 'Authorization': `Bearer ${authToken}` } }); const result = await response.json();
{ "success": true }
{ "error": "Not authenticated" }
{ "error": "Failed to delete posts" }